classification
Title: Mark tests that use _testcapi as CPython-only
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords:

Created on 2017-03-18 13:52 by serhiy.storchaka, last changed 2017-03-24 22:06 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 711 merged serhiy.storchaka, 2017-03-18 13:54
PR 725 merged serhiy.storchaka, 2017-03-19 18:22
PR 726 merged serhiy.storchaka, 2017-03-19 18:22
Messages (4)
msg289812 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-18 13:52
Most tests that use _testcapi are optional or marked as CPython-only. But there are few tests that aren't. Proposed patch fixes this.
msg290150 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-24 22:05
New changeset bb67f10179011c50805a942cb6f2701c84854888 by Serhiy Storchaka in branch '3.5':
bpo-29845: Mark tests that use _testcapi as CPython-only (#711) (#726)
https://github.com/python/cpython/commit/bb67f10179011c50805a942cb6f2701c84854888
msg290153 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-24 22:05
New changeset da88596a19d2cad0e85a2b3c3290b5b1d97a793d by Serhiy Storchaka in branch '3.6':
bpo-29845: Mark tests that use _testcapi as CPython-only (#711) (#725)
https://github.com/python/cpython/commit/da88596a19d2cad0e85a2b3c3290b5b1d97a793d
msg290157 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-24 22:06
New changeset 24c738a9e91b8f46da6166663d8ce7ec18cec784 by Serhiy Storchaka in branch 'master':
bpo-29845: Mark tests that use _testcapi as CPython-only (#711)
https://github.com/python/cpython/commit/24c738a9e91b8f46da6166663d8ce7ec18cec784
History
Date User Action Args
2017-03-24 22:06:37serhiy.storchakasetmessages: + msg290157
2017-03-24 22:05:48serhiy.storchakasetmessages: + msg290153
2017-03-24 22:05:07serhiy.storchakasetmessages: + msg290150
2017-03-19 19:45:13serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-03-19 18:22:32serhiy.storchakasetpull_requests: + pull_request641
2017-03-19 18:22:06serhiy.storchakasetpull_requests: + pull_request640
2017-03-18 13:54:07serhiy.storchakasetpull_requests: + pull_request631
2017-03-18 13:52:21serhiy.storchakacreate